# Google Data APIs Client Library (1.43.0)

## com.google.gdata.data
Interface AttributeHelper.EnumToAttributeValue<T extends java.lang.Enum<T>>

All Known Implementing Classes:
  AttributeHelper.LowerCaseEnumToAttributeValue

Enclosing class:
  AttributeHelper

    public static interface AttributeHelper.EnumToAttributeValue<T extends java.lang.Enum<T>>

Defines a custom mapping of an enum value to an attribute value (similar to a closure).

Method Summary
`java.lang.String` `getAttributeValue(T enumValue)`

Method Detail

### getAttributeValue

    java.lang.String getAttributeValue(T enumValue)